/* angst - signal.c
 * by Patroklos Argyroudis <argp@bsd.gr>
 *
 * Signal handling functions.
 */ 

#include "angst.h"

void
catcher(int signal)
{
 fflush(fp);
 fclose(fp);

 if((chmod(logfile, (S_IRUSR | S_IWUSR))) == -1)
  xprintf("chmod error: %s\n", strerror(errno));

 pcap_close(pd);
 exit(EXIT_SUCCESS);
}

void
sig_flood(int signal)
{
 /* call the MAC flooder */
 mac_flood();

 /* how often is the flooder() called */
 alarm(seconds);
 return;
}

void
sig_arp(int signal)
{
 arp_reply();
 
 /* how often is arp_reply() called */
 alarm(seconds);
 return;
}

/* EOF */
